//PATH_FILES_TO_IMPORT: A string representing the path to the directory where Excel files are located for data import testing.
export const PATH_FILES_TO_IMPORT = '/vc_excel/'

//JSON_SCHEMA: A string representing the filename of the credential JSON schema.
export const JSON_SCHEMA_FVC = "financial-vulnerability.json"
export const JSON_SCHEMA_MC = "membership-card.json"
export const JSON_SCHEMA_NGO_FM = "federation-membership.json"
export const JSON_SCHEMA_CC = "course-credential.json"
export const JSON_SCHEMA_EOC = "e-operator-claim.json"


//JSON_SCHEMA_ID: A URL pointing to the online location of the financial vulnerability JSON schema.
export const JSON_SCHEMA_ID_FVC = "https://idhub.pangea.org/vc_schemas/financial-vulnerability.json"
export const JSON_SCHEMA_ID_MC = "https://idhub.pangea.org/vc_schemas/membership-card.json"
export const JSON_SCHEMA_ID_NGO_FM = "https://idhub.pangea.org/vc_schemas/federation-membership.json"
export const JSON_SCHEMA_ID_CC = "https://idhub.pangea.org/vc_schemas/course-credential.json"
export const JSON_SCHEMA_ID_EOC = "https://idhub.pangea.org/vc_schemas/e-operator-claim.json"

//Excel testing files
//FVC
export const FILE_TO_IMPORT_FVC = 'financial-vulnerability.xlsx'
export const FILE_TO_IMPORT_FVC_EMPTY = 'financial-vulnerability-empty.xlsx'
export const FILE_TO_IMPORT_FVC_WITHOUT_REQUIRED_COLUMNS = 'financial-vulnerability-without-required-columns.xlsx'
export const FILE_TO_IMPORT_FVC_WITH_ALIEN_COLUMNS = 'financial-vulnerability-with-alien-columns.xlsx'
export const FILE_TO_IMPORT_FVC_WITH_REQUIRED_EMPTY = 'financial-vulnerability-with-required-empty.xlsx'

//MC
export const FILE_TO_IMPORT_MC = 'membership-card.xlsx'
export const FILE_TO_IMPORT_MC_2 = 'membership-card2.xlsx'
export const FILE_TO_IMPORT_MC_EMPTY = 'membership-card-empty.xlsx'
export const FILE_TO_IMPORT_MC_WITHOUT_REQUIRED_COLUMNS = 'membership-card-without-required-columns.xlsx'
export const FILE_TO_IMPORT_MC_WITH_ALIEN_COLUMNS = 'membership-card-with-alien-columns.xlsx'
export const FILE_TO_IMPORT_MC_WITH_REQUIRED_EMPTY = 'membership-card-with-required-empty.xlsx'

//NGO FEDERATION MEMBERSHIP
export const FILE_TO_IMPORT_NGO_FM = 'federation-membership.xlsx'
export const FILE_TO_IMPORT_NGO_FM_EMPTY = 'federation-membership-empty.xlsx'
export const FILE_TO_IMPORT_NGO_FM_WITHOUT_REQUIRED_COLUMNS = 'federation-membership-without-required-columns.xlsx'
export const FILE_TO_IMPORT_NGO_FM_WITH_ALIEN_COLUMNS = 'federation-membership-with-alien-columns.xlsx'
export const FILE_TO_IMPORT_NGO_FM_WITH_REQUIRED_EMPTY = 'federation-membership-with-required-empty.xlsx'

//CC
export const FILE_TO_IMPORT_CC = 'course-credential.xlsx'
export const FILE_TO_IMPORT_CC_EMPTY = 'course-credential-empty.xlsx'
export const FILE_TO_IMPORT_CC_WITHOUT_REQUIRED_COLUMNS = 'course-credential-without-required-columns.xlsx'
export const FILE_TO_IMPORT_CC_WITH_ALIEN_COLUMNS = 'course-credential-with-alien-columns.xlsx'
export const FILE_TO_IMPORT_CC_WITH_REQUIRED_EMPTY = 'course-credential-with-required-empty.xlsx'

//E-OPERATOR-CLAIM
export const FILE_TO_IMPORT_EOC = 'e-operator-claim.xlsx'
export const FILE_TO_IMPORT_EOC_EMPTY = 'e-operator-claim-empty.xlsx'
export const FILE_TO_IMPORT_EOC_WITHOUT_REQUIRED_COLUMNS = 'e-operator-claim-without-required-columns.xlsx'
export const FILE_TO_IMPORT_EOC_WITH_ALIEN_COLUMNS = 'e-operator-claim-with-alien-columns.xlsx'
export const FILE_TO_IMPORT_EOC_WITH_REQUIRED_EMPTY = 'e-operator-claim-with-required-empty.xlsx'

//"Schema name" as appears in the Idhub Admin interface Data->Import->combo schema
export const SCHEMA_FVC = 'Financial Vulnerability Credential'
export const SCHEMA_MC = 'Membership Card'
export const SCHEMA_NGO_FM = 'NGO federation membership'
export const SCHEMA_CC = 'NGO Course Credential for participants'
export const SCHEMA_EOC = 'Product and waste electronics operator claim'

//"Schema type" as appears in the Idhub My wallet->My Credentials-> value on column 'type'
export const SCHEMA_TYPE_FVC = 'FinancialVulnerabilityCredential'
export const SCHEMA_TYPE_MC = 'MembershipCard' 
export const SCHEMA_TYPE_NGO_FM = 'FederationMembership'
export const SCHEMA_TYPE_CC = 'CourseCredential'
export const SCHEMA_TYPE_EOC = 'EOperatorClaim'

//Messages
export const ALERT_FILE_IMPORTED_SUCCESSFULLY = "The file was imported successfully!"

export const ALERT_FILE_TO_IMPORT_IS_EMPTY = "The file you try to import is empty!"
export const ALERT_FILE_NOT_CORRESPOND_SCHEMA = "This File does not correspond to this scheme!"
export const ALERT_FILE_IS_BADLY_FORMATTED = "This file is badly formatted!"
export const ALERT_FILE_TO_IMPORT_WITHOUT_REQUIRED_COLUMS = "line 2: 'email' is a required property"
export const ALERT_FILE_TO_IMPORT_WITHOUT_REQUIRED_COLUMS_MC = "line 2: 'affiliatedSince' is a required property"
export const ALERT_FILE_TO_IMPORT_WITHOUT_REQUIRED_COLUMS_NGO_FM = "line 2: 'legalName' is a required property"
export const ALERT_FILE_TO_IMPORT_WITHOUT_REQUIRED_COLUMS_CC = "line 2: 'firstName' is a required property"
export const ALERT_FILE_TO_IMPORT_WITHOUT_REQUIRED_COLUMS_EOC = "line 2: 'legalName' is a required property"
export const ALERT_FILE_TO_IMPORT_WITH_ALIEN_COLUMS = "line 2: Additional properties are not allowed ('alien1', 'alien2' were unexpected)"
export const ALERT_FILE_TO_IMPORT_WITH_REQUIRED_COLUMS_EMPTY = "line 3: 'firstName' is a required property"
export const ALERT_FILE_TO_IMPORT_WITH_REQUIRED_COLUMS_EMPTY_NGO_FM = "line 5: 'postCode' is a required property"
export const ALERT_FILE_TO_IMPORT_WITH_REQUIRED_COLUMS_EMPTY_EOC = "line 3: 'legalName' is a required property"


export const ALERT_USER_CREATED_SUCESSFULLY_MESSAGE = 'The account was created successfully'
export const ERROR_INCORRECT_EMAIL_PASSWORD = 'Please enter a correct Email address and password. Note that both fields may be case-sensitive.'

export const ENABLED_ST = "Enabled"
export const ISSUED_ST = "Issued"

//Memberships
export const MEMBERSHIP_TYPES = [
    { id: '1', type: 'Beneficiary' },
    { id: '2', type: 'Employee' },
    { id: '3', type: 'Member' }
  ];

