
// List of entries in data store for the different types of credentials
export const CREDENTIAL_TYPES_DATA_STORE = {
  FinancialVulnerabilityCredential_data: [] as Record<string, any>,
  MembershipCard_data: [] as Record<string, any>,
  FederationMembership_data: [] as Record<string, any>,
  CourseCredential_data: [] as Record<string, any>,
  EOperatorClaim_data: [] as Record<string, any>
};

//Testing data for financialVulnerabilityCredential
CREDENTIAL_TYPES_DATA_STORE.FinancialVulnerabilityCredential_data = [{
  firstName: 'Wolfgang Amadeus',
  lastName: 'Mozart',
  email: 'user1@example.org',
  phoneNumber: '678567456',
  identityDocType: 'DNI',
  identityNumber: '45678900V',
  streetAddress: 'C/ Tallers 1',
  socialWorkerName: 'Ana',
  socialWorkerSurname: 'Fernández',
  financialVulnerabilityScore: '4',
  amountCoveredByOtherAids: '0',
  connectivityOptionList: 'Fibra',
  assessmentDate: '2024-01-01',
},
{
  firstName: 'Ludwing Van',
  lastName: 'Beethoven',
  email: 'user2@example.org',
  identityDocType: 'DNI',
  identityNumber: '76677667Q',
  streetAddress: 'C/ Fontanals',
  socialWorkerName: 'Pedro',
  socialWorkerSurname: 'Ruíz',
  financialVulnerabilityScore: '6',
  amountCoveredByOtherAids: '30',
  assessmentDate: '2024-01-03',
},
{
  firstName: 'Franz',
  lastName: 'Schubert',
  email: 'user3@example.org',
  phoneNumber: '609897645',
  identityDocType: 'DNI',
  identityNumber: '77777777A',
  streetAddress: 'C/Miro',
  socialWorkerName: 'Maria',
  socialWorkerSurname: 'Sánchez',
  financialVulnerabilityScore: '8',
  amountCoveredByOtherAids: '10',
  connectivityOptionList: 'Fibra',
  assessmentDate: '2023-10-04',
},
{
  firstName: 'Barbara',
  lastName: 'Strozzi',
  email: 'user4@example.org',
  phoneNumber: '654899876',
  identityDocType: 'NIE',
  identityNumber: '987876765X',
  streetAddress: 'C/ Picasso',
  socialWorkerName: 'Claudia',
  socialWorkerSurname: 'Puig',
  financialVulnerabilityScore: '9',
  amountCoveredByOtherAids: '0',
  connectivityOptionList: 'Fibra',
  assessmentDate: '2024-01-04',
}
];

//Testing data for Membership Card

CREDENTIAL_TYPES_DATA_STORE.MembershipCard_data = [
  {
    organisation: "Pangea",
    membershipType: "Employee",
    membershipId: "1234",
    affiliatedSince: "2019-01-01",
    affiliatedUntil: "2025-01-01",
    typeOfPerson: "natural",
    identityDocType: "DNI",
    identityNumber: "89898987A",
    firstName: "Wolfgang Amadeus",
    lastName: "Mozart",
    role: "Conductor",
    email: "user1@example.org",
  },
  {
    organisation: "Pangea",
    membershipType: "Employee",
    membershipId: "2345",
    affiliatedSince: "2020-01-01",
    typeOfPerson: "natural",
    identityDocType: "NIE",
    identityNumber: "23456789P",
    firstName: "Ludwing Van",
    lastName: "Beethoven",
    role: "Composer",
    email: "user2@example.org",
  },
  {
    organisation: "Pangea",
    membershipType: "Employee",
    membershipId: "2312",
    affiliatedSince: "2021-01-01",
    affiliatedUntil: "2026-01-01",
    typeOfPerson: "natural",
    identityDocType: "DNI",
    identityNumber: "87665566D",
    firstName: "Franz",
    lastName: "Schubert",
    role: "Chamber musician",
    email: "user3@example.org",
  },
  {
    organisation: "Pangea",
    membershipType: "Employee",
    membershipId: "3212",
    affiliatedSince: "2021-01-01",
    affiliatedUntil: "2026-01-01",
    typeOfPerson: "natural",
    identityDocType: "NIE",
    identityNumber: "87654567",
    firstName: "Barbara",
    lastName: "Strozzi",
    role: "Composer and Singer",
    email: "user4@example.org",
  },
  {
    organisation: "Pangea",
    membershipType: "Employee",
    membershipId: "4544",
    affiliatedSince: "2021-01-02",
    affiliatedUntil: "2026-01-01",
    typeOfPerson: "natural",
    identityDocType: "DNI",
    identityNumber: "98765432",
    firstName: "Clara",
    lastName: "Schumann",
    role: "Composer and Pianist",
    email: "user5@example.org",
  }
];

CREDENTIAL_TYPES_DATA_STORE.FederationMembership_data = [
  {
    federation: "Lafede",
    legalName: "ACCIÓ CONTRA LA FAM",
    shortName: "ACCIÓ CONTRA LA FAM",
    registrationIdentifier: "28-0968",
    publicRegistry: "Registro del Protectorado de Fundaciones del Ministerio de Asuntos Sociales",
    streetAddress: "c/Diputació, 180, 3B",
    postCode: "08011",
    city: "Barcelona",
    taxReference: "G-81164105",
    membershipType: "full",
    membershipStatus: "active",
    membershipId: "1234",
    membershipSince: "2010-01-01",
    email: "user1@example.org",
    phone: "93 254 03 81",
    website: "https://www.acciocontralafam.org",
    certificationDate: "2024-02-02",
  },
  {
    federation: "Lafede",
    legalName: "ACNUR CATALUNYA – COMITÈ CATALÀ PER ALS REFUGIATS",
    shortName: "UNHCR ACNUR",
    registrationIdentifier: "130.446",
    publicRegistry: "Registro del Protectorado de Fundaciones del Ministerio de Asuntos Sociales",
    streetAddress: "c/ Trafalgar, 6. Principal 3ª",
    postCode: "08001",
    city: "Barcelona",
    taxReference: "G80757560",
    membershipType: "observer",
    membershipStatus: "active",
    membershipId: "2345",
    membershipSince: "2010-01-01",
    email: "user2@example.org",
    website: "https://www.eacnur.org",
    certificationDate: "2024-02-02",
  },
  {
    federation: "Lafede",
    legalName: "AMNISTIA INTERNACIONAL CATALUNYA",
    shortName: "AMNISTIA INTERNACIONAL",
    registrationIdentifier: "22729",
    publicRegistry: "Registro del Protectorado de Fundaciones del Ministerio de Asuntos Sociales",
    streetAddress: "Alfons XII, 19-21, pral. 1A",
    postCode: "08006",
    city: "Barcelona",
    membershipType: "observer",
    membershipStatus: "active",
    membershipId: "2345",
    membershipSince: "2010-01-01",
    email: "user3@example.org",
    website: "https://www.amnistiacatalunya.org",
    certificationDate: "2024-02-02",
  },
  {
    federation: "Lafede",
    legalName: "ASSOCIACIÓ CATALANA D’ENGINYERIA SENSE FRONTERES",
    shortName: "ENGINYERIA SENSE FRONTERES",
    publicRegistry: "Registro del Protectorado de Fundaciones del Ministerio de Asuntos Sociales",
    streetAddress: "Mandoni 4, Baixos,",
    postCode: "08004",
    city: "Barcelona",
    membershipType: "full",
    membershipStatus: "active",
    membershipId: "4567",
    membershipSince: "2010-01-01",
    email: "user4@example.ort",
    phone: "93 302 27 53",
    website: "https://www.esf-cat.org",
    certificationDate: "2024-02-02",
  },
];

CREDENTIAL_TYPES_DATA_STORE.CourseCredential_data = [
  {
    firstName: "Wolfgang Amadeus",
    lastName: "Mozart",
    email: "user1@example.org",
    personalIdentifier: "1234",
    issuedDate: "2022-09-22",
    modeOfInstruction: "online",
    courseDuration: "20",
    courseDays: "5",
    courseName: "How to write a great sonata",
    courseDescription: "This course provides an in-depth exploration of sonata form, a structural framework that has been central to the development of Western classical music, particularly in the first movements of sonatas, symphonies, and string quartets.",
    gradingScheme: "Grade Point Average (GPA)",
    scoreAwarded: "10",
    qualificationAwarded: "A+",
    courseLevel: "Postgraduate",
    courseFramework: "European Qualifications Framework (EQF) Level 6",
    courseCredits: "5",
    dateOfAssessment: "2020-12-20",
    evidenceAssessment: "final exam",
  },
  {
    firstName: "Ludwing Van",
    lastName: "Beethoven",
    email: "user2@example.org",
    personalIdentifier: "44334",
    issuedDate: "2021-10-10",
    modeOfInstruction: "onsite",
    courseDuration: "10",
    courseDays: "3",
    courseName: "Modern piano",
    courseDescription: "The Modern Piano course offers a comprehensive exploration of various styles of modern piano music, from the early 20th century to contemporary times.",
    gradingScheme: "Grade Point Average (GPA)",
    scoreAwarded: "9",
    qualificationAwarded: "A",
    courseLevel: "Undergraduate",
    courseCredits: "7",
    dateOfAssessment: "2020-12-20",
    evidenceAssessment: "presence",
  },
  {
    firstName: "Barbara",
    lastName: "Strozzi",
    email: "user4@example.org",
    personalIdentifier: "45454K",
    issuedDate: "2019-05-05",
    modeOfInstruction: "online",
    courseDuration: "20",
    courseDays: "5",
    courseName: "Opera",
    courseDescription: "The Opera course offers a comprehensive exploration of opera as an art form, from its historical origins to its contemporary expressions.",
    scoreAwarded: "9",
    qualificationAwarded: "A",
    courseLevel: "Postgraduate",
    courseFramework: "Classical music",
    courseCredits: "10",
    dateOfAssessment: "2020-12-20",
    evidenceAssessment: "presence",
  }
];

CREDENTIAL_TYPES_DATA_STORE.EOperatorClaim_data = [
  {
    legalName: "Recicladors associats",
    role: "Gestor de residus RAEE",
    email: "user1@example.org",
    accreditedBy: "Agència de residus de Catalunya",
    operatorNumber: "E-1111.22",
    limitJurisdiction: "Catalunya",
    accreditedFor: "CLASSIFICACIÓ DE FERRALLA, RES. VOLUMINOSOS, DESMUNTATGE DE RAEE I PREPARACIÓ PER A LA REUTILITZACIÓ DE RESIDUS DE ROBA I DE RAEE. TRANSFERÈNCIA DE RESIDUS P I NP (INCLÒS RAEE)",
  },
  {
    legalName: "GSP",
    role: "Gestor de residus RAEE",
    email: "user2@example.org",
    accreditedBy: "Agència de residus de Catalunya",
    operatorNumber: "E-1555.14",
    limitJurisdiction: "Catalunya",
    accreditedFor: "CLASSIF. FERRALLA, CARTRÓ PLÀSTIC I FUSTA, CLASSIF., TRITURACIÓ DE CABLE, CLASSIFICACIÓ, DESMUNTATGE RAEE (FR 2,3,4,5,6), PREPARACIO PER A LA REUTILITZACIÓ DE RAEE (FR 1,2,4,5,6,7) ALTRES ACTIVITATS SEGONS LLIC. AMBIENTAL DE 25/02/16 I DE 28/1/2022",
  },
  {
    legalName: "Reutilitza",
    role: "Gestor de residus RAEE",
    email: "user3@example.org",
    accreditedBy: "Agència de residus de Catalunya",
    operatorNumber: "E-0000.12",
    limitJurisdiction: "Catalunya",
    accreditedFor: "RECUPERACIÓ DE RAEE NO PERILLOSOS MITJANÇANT CLASSIFICACIÓ I REPARACIÓ (PREPARACIÓ PER LA REUTILITZACIÓ) I TRANSFERÈNCIA DE RAEE PERILLOSOS I NO PERILLOSOS I ALTRES SEGONS RELACIÓ.",
  }
];

export const CREDENTIAL_TYPE_DATASTORE_UNDEFINED = {
  FinancialVulnerabilityCredential_data_undefined: {} as Record<string, any>,
  MembershipCard_data_undefined: {} as Record<string, any>,
  FederationMembership_data_undefined: {} as Record<string, any>,
  CourseCredential_data_undefined: {} as Record<string, any>,
  EOperatorClaim_data_undefined: {} as Record<string, any>

}


CREDENTIAL_TYPE_DATASTORE_UNDEFINED.FinancialVulnerabilityCredential_data_undefined = {
  credentialSubject: {
    firstName: 'undefined_data',
    lastName: 'undefined_data',
    email: 'undefined_data',
    phoneNumber: 'undefined_data',
    identityDocType: 'undefined_data',
    identityNumber: 'undefined_data',
    streetAddress: 'undefined_data',
    socialWorkerName: 'undefined_data',
    socialWorkerSurname: 'undefined_data',
    financialVulnerabilityScore: 'undefined_data',
    amountCoveredByOtherAids: 'undefined_data',
    connectivityOptionList: 'undefined_data',
    assessmentDate: 'undefined_data'
  },
  status: 'undefined_data'
}

CREDENTIAL_TYPE_DATASTORE_UNDEFINED.MembershipCard_data_undefined = {
  credentialSubject: {
    organisation: 'undefined_data',
    membershipType: 'undefined_data',
    membershipId: 'undefined_data',
    affiliatedSince: 'undefined_data',
    affiliatedUntil: 'undefined_data',
    typeOfPerson: 'undefined_data',
    identityDocType: 'undefined_data',
    identityNumber: 'undefined_data',
    firstName: 'undefined_data',
    lastName: 'undefined_data',
    role: 'undefined_data',
    email: 'undefined_data',
  },
  status: 'undefined_data'
}


CREDENTIAL_TYPE_DATASTORE_UNDEFINED.FederationMembership_data_undefined = {
  credentialSubject: {
    federation: 'undefined_data',
    legalName: 'undefined_data',
    shortName: 'undefined_data',
    registrationIdentifier: 'undefined_data',
    publicRegistry: 'undefined_data',
    streetAddress: 'undefined_data',
    postCode: 'undefined_data',
    city: 'undefined_data',
    taxReference: 'undefined_data',
    membershipType: 'undefined_data',
    membershipStatus: 'undefined_data',
    membershipId: 'undefined_data',
    membershipSince: 'undefined_data',
    email: 'undefined_data',
    phone: 'undefined_data',
    website: 'undefined_data',
    evidence: 'undefined_data',
    certificationDate: 'undefined_data',
  },
  status: 'undefined_data'
}

CREDENTIAL_TYPE_DATASTORE_UNDEFINED.CourseCredential_data_undefined = {
  credentialSubject: {
    firstName: 'undefined_data',
    lastName: 'undefined_data',
    email: 'undefined_data',
    personalIdentifier: 'undefined_data',
    issuedDate: 'undefined_data',
    modeOfInstruction: 'undefined_data',
    courseDuration: 'undefined_data',
    courseDays: 'undefined_data',
    courseName: 'undefined_data',
    courseDescription: 'undefined_data',
    gradingScheme: 'undefined_data',
    scoreAwarded: 'undefined_data',
    qualificationAwarded: 'undefined_data',
    courseLevel: 'undefined_data',
    courseFramework: 'undefined_data',
    courseCredits: 'undefined_data',
    dateOfAssessment: 'undefined_data',
    evidenceAssessment: 'undefined_data',
  },
  status: 'undefined_data'
}

CREDENTIAL_TYPE_DATASTORE_UNDEFINED.EOperatorClaim_data_undefined = {
  credentialSubject: {
    legalName: 'undefined_data',
    role: 'undefined_data',
    email: 'undefined_data',
    accreditedBy: 'undefined_data',
    operatorNumber: 'undefined_data',
    limitJurisdiction: 'undefined_data',
    accreditedFor: 'undefined_data',
  },
  status: 'undefined_data'
}