export interface FinancialVulnerabilityCredential_fields {
    firstName: string;
    lastName: string;
    email: string;
    phoneNumber: string;
    identityDocType: string
    identityNumber: string;
    streetAddress: string;
    socialWorkerName: string;
    socialWorkerSurname: string;
    financialVulnerabilityScore: string;
    amountCoveredByOtherAids: string;
    connectivityOptionList: string;
    assessmentDate: string;
  }

  export interface MembershipCard_fields {
    organisation: string;
    membershipType: string;
    membershipId: string;
    affiliatedSince: string;
    affiliatedUntil: string;
    typeOfPerson: 'natural' | 'legal';
    identityDocType: string;
    identityNumber: string;
    firstName: string;
    lastName: string;
    role: string;
    email: string;
  }

  export interface NGOFederationMembership_fields {
    federation: string;
    legalName: string;
    shortName: string;
    registrationIdentifier: string;
    publicRegistry: string;
    streetAddress: string;
    postCode: string;
    city: string;
    taxReference: string;
    membershipType: string;
    membershipStatus: string;
    membershipId: string;
    membershipSince: string; // string in YYYY-MM-DD format
    email: string;
    phone: string;
    website: string;
    evidence: string;
    certificationDate: string; // string in YYYY-MM-DD format
  }

  export interface CourseCredential_fields {
    firstName: string;
    lastName: string;
    email: string;
    personalIdentifier: string;
    issuedDate: string; // a string in YYYY-MM-DD format
    modeOfInstruction: string;
    courseDuration: number;
    courseDays: number;
    courseName: string;
    courseDescription: string;
    gradingScheme: string;
    scoreAwarded: number;
    qualificationAwarded: "A+" | "A" | "B" | "C" | "D"; 
    courseLevel: string;
    courseFramework: string;
    courseCredits: number;
    dateOfAssessment: string; //  a string in YYYY-MM-DD format
    evidenceAssessment: string;
  }

  export interface EOperatorClaim_fields{
    legalName: string;
    role: string;
    email: string;
    accreditedBy: string;
    operatorNumber: string;
    limitJurisdiction: string;
    accreditedFor: string;
  }

 