import { Page, Locator, expect } from "@playwright/test"

export class DashboardPage {

    readonly page: Page
    readonly primaryTitle: Locator
    readonly secondaryTitle: Locator
    readonly eventTitle: Locator
    readonly descriptionTitle: Locator
    readonly dateTitle: Locator

    constructor(page: Page) {
        this.page = page;
        this.primaryTitle = page.getByRole('heading', { name: 'Dashboard' })
        this.secondaryTitle = page.getByRole('heading', { name: 'Events' })
        this.eventTitle = page.getByRole('link', { name: 'Event' })
        this.descriptionTitle = page.getByRole('link', { name: 'Event' })
        this.dateTitle = page.getByRole('link', { name: 'Date' })
    }

    async getPrimaryTitle() {
        try {
            return await this.primaryTitle.innerText();
        } catch (error) {
            console.error("Failed to get primary title:", error);
            throw error;
        }
    }

    async getSecondaryTitle() {
        try {
            return await this.secondaryTitle.innerText();
        } catch (error) {
            console.error("Failed to get secondary title:", error);
            throw error;
        }
    }

    async getEventTitle() {
        try {
            return this.eventTitle;
        } catch (error) {
            console.error("Failed to get event title:", error);
            throw error;
        }
    }

    async getDescriptionTitle() {
        try {
            return this.descriptionTitle;
        } catch (error) {
            console.error("Failed to get description title:", error);
            throw error;
        }
    }

    async getDateTitle() {
        try {
            return this.dateTitle;
        } catch (error) {
            console.error("Failed to get date title:", error);
            throw error;
        }
    }

}