import { Page, Locator } from "@playwright/test"

export class ViewServicesPage {

    readonly page: Page
    readonly primaryTitle: Locator
    readonly secondaryTitle: Locator
    readonly serviceColumnTitle: Locator
    readonly descriptionColumnTitle: Locator
    readonly roleColumnTitle: Locator

    constructor(page: Page) {
        this.page = page;
        this.primaryTitle =   page.getByRole('heading', { name: 'Access control management' });
        this.secondaryTitle = page.getByRole('heading', { name: 'Manage services' });
        this.serviceColumnTitle = this.page.getByRole('button', { name: 'Service' })
        this.descriptionColumnTitle = this.page.getByRole('button', { name: 'Description' })
        this.roleColumnTitle = this.page.getByRole('button', { name: 'Role' })

    }

    async getPrimaryTitle(){
        return this.primaryTitle.innerText();
    }

    async getSecondaryTitle(){
        return this.secondaryTitle.innerText();
    }

    async getServiceColumnTitle(){
        return this.serviceColumnTitle;
    }

    async getDescriptionColumnTitle(){
        return this.descriptionColumnTitle;
    }

    async getRoleColumnTitle(){
        return this.roleColumnTitle;;
    }
}