import { Page, Locator } from "@playwright/test"

export class IdentitiesPage {

  readonly page: Page
  readonly primaryTitle: Locator
  readonly secondaryTitle: Locator
  readonly addIdentityButton: Locator

  constructor(page: Page) {
    this.page = page;
    this.primaryTitle = page.getByRole('heading', { name: 'My wallet' });
    this.secondaryTitle = page.getByRole('heading', { name: ' Identities (DIDs)' });
    this.addIdentityButton = page.getByRole('link', { name: 'Add Identity ' });
  }
  async getPrimaryTitle() {
    try {
      return await this.primaryTitle.innerText();
    } catch (error) {
      console.error("Failed to get primary title:", error);
      throw error;
    }
  }

  async getSecondaryTitle() {
    try {
      return await this.secondaryTitle.innerText();
    } catch (error) {
      console.error("Failed to get primary title:", error);
      throw error;
    }
  }

  async getAddIdentityButton() {
    try {
      return this.addIdentityButton;
    } catch (error) {
      console.error("Failed to get Add Identity button:", error);
      throw error;
    }
  }

  async clickAddIdentityButton() {
    try {
      return (await this.getAddIdentityButton()).click();
    } catch (error) {
      console.error("Failed to get click credential button:", error);
      throw error;
    }
  }

}
