import { Page, Locator } from "@playwright/test"

export class LeftMenuUserPage {
    readonly page: Page;
    readonly dashboardLink: Locator
    readonly myPersonalInfoLink: Locator
    readonly myRolesLink: Locator
    readonly myDataProtectionLink: Locator
    readonly identitiesLink: Locator
    readonly myCredentialsLink: Locator
    readonly requestACredentialLink: Locator
    readonly presentACredentialLink: Locator

    public constructor(page: Page) {
        this.page = page;
        this.dashboardLink = this.page.getByRole('link', { name: ' Dashboard' })
        this.myPersonalInfoLink = this.page.getByRole('link', { name: 'My personal information' })
        this.myRolesLink = this.page.getByRole('link', { name: 'My roles' })
        this.myDataProtectionLink = this.page.getByRole('link', { name: 'Data protection' })
        this.identitiesLink = this.page.getByRole('link', { name: 'Identities (DIDs)' })
        this.myCredentialsLink = this.page.getByRole('link', { name: 'My credentials' })
        this.requestACredentialLink = this.page.getByRole('link', { name: 'Request a credential' })
        this.presentACredentialLink = this.page.getByRole('link', { name: 'Present a credential' })
    }

    async getDashboardLink() {
        return this.dashboardLink
    }

    async getmyPersonalInfoLink() {
        return this.myPersonalInfoLink 
    }

    async getMyRolesLink() {
        return this.myRolesLink
    }

    async getMyDataProtectionLink() {
        return this.myDataProtectionLink
    }

    async getIdentitiesLink() {
        return this.identitiesLink
    }

    async getMyCredentialsLink() {
        return this.myCredentialsLink
    }

    async getRequestACredentialLink() {
        return this.requestACredentialLink
    }

    async getPresentACredentialLink() {
        return this.presentACredentialLink
    }


}